// #autoload
// #name = borTeleButtons
// #version = 1.0
// #date = September 29, 2002
// #author = borlaK|RT
// #warrior =  borlaK
// #email = borlak@borlak.org
// #web = http://www.aretea.com
// #description = Add a 'Select Telepad' button and a 'Teleport' button for PRACTICE MODE CTF.
// #status = working

function borSelectTelepad(%val)
{
	if(%val)
		commandToServer('practiceBtnCall', 22);
}

function borTeleportTelepad(%val)
{
	if(%val)
		commandToServer('practiceBtnCall', 24);
}

package borTeleButtons {

function OptionsDlg::onWake(%this)
{
	if (!$borTeleSelect)
	{
		$RemapName[$RemapCount] = "Select Telepad";
		$RemapCmd[$RemapCount]  = "borSelectTelepad";
		$RemapCount++;
		$RemapName[$RemapCount] = "Teleport to Telepad";
		$RemapCmd[$RemapCount]  = "borTeleportTelepad";
		$RemapCount++;
		$borTeleSelect = true;
	}
	parent::onWake(%this);
}

};
activatePackage(borTeleButtons);
